Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.msv.reader.xmlschema
Class AttributeState

    java.lang.Object
      com.sun.msv.reader.State
          com.sun.msv.reader.SimpleState
              com.sun.msv.reader.ExpressionState
                  com.sun.msv.reader.ExpressionWithChildState
                      com.sun.msv.reader.xmlschema.AttributeState

All Implemented Interfaces:
  org.xml.sax.ContentHandler, ExpressionOwner, XSTypeOwner

public class AttributeState
extends ExpressionWithChildState
implements XSTypeOwner

used to parse <attribute > element.

Author:
  Kohsuke KAWAGUCHI

Field Summary

Fields inherited from class com.sun.msv.reader.State
`reader`

Constructor Summary
`AttributeState()`

Method Summary
`java.lang.String` | `getTargetNamespaceUri()` Returns the target namespace URI of newly created simple types.
`void` | `onEndChild(XSDatatypeExp type)`

Methods inherited from class com.sun.msv.reader.ExpressionWithChildState
`onEndChild`

Methods inherited from class com.sun.msv.reader.SimpleState
`endDocument, endElement, startElement`

Methods inherited from class com.sun.msv.reader.State
`_assert, characters, endPrefixMapping, getBaseURI, getLocation, getParentState, getStartTag, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeState

    public AttributeState()

Method Detail

### getTargetNamespaceUri

    public java.lang.String getTargetNamespaceUri()

  Description copied from interface: `XSTypeOwner`
  Returns the target namespace URI of newly created simple types. If the context you are using this package doesn't have the notion of the target namespace URI, return the empty string.

  Specified by:
    `getTargetNamespaceUri` in interface `XSTypeOwner`

### onEndChild

    public void onEndChild(XSDatatypeExp type)

  Specified by:
    `onEndChild` in interface `XSTypeOwner`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD